%define	major	1
%define	libname	 %mklibname %name %major
%define develname %mklibname %name -d

#define beta	rc2
%define subrel  1
%define rel	3

Name:		speex
Summary:	An open-source, patent-free speech codec
Version:	1.2.0
Release:	%mkrel %{rel}
License:	BSD
Group:		Sound/Utilities
URL:		http://www.speex.org/
Source0:	http://downloads.us.xiph.org/releases/speex/%{name}-%{version}%{?beta:%{beta}}.tar.gz
Patch1:		speex-1.1.6-fix-pkgconfig-path.patch
Patch2:		speex-1.2rc1-CVE-2008-1686.patch
Patch3:		CVE-2020-23903.patch
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	chrpath
BuildRequires:	autoconf2.5

%description
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrow-band 
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

%package -n	%{libname}
Summary:	Shared library of the Speex codec
Group:		System/Libraries

%description -n	%{libname}
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrow-band 
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

This package contains the shared library required for running
applications based on Speex.

%package -n	%develname
Summary:	Speex development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}speex-static-devel < 1.2-0.rc2.3

%description -n	%develname
Speex development files.

%prep
%setup -q -n %name-%version%{?beta:%{beta}}
%autopatch -p1

%build
export CFLAGS='%optflags -DRELEASE'
%configure --disable-static --enable-binaries
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

chrpath -d %buildroot%_bindir/*
rm -f %{buildroot}%{_datadir}/doc/*/manual.pdf

%files
%doc COPYING AUTHORS ChangeLog NEWS README
%{_mandir}/man1/speexenc.1*
%{_mandir}/man1/speexdec.1*
%{_bindir}/speex*

%files -n %{libname}
%{_libdir}/libspeex.so.%{major}{,.*}

%files -n %develname
%doc doc/manual.pdf
%{_libdir}/libspeex*.so
%{_includedir}/speex
%{_libdir}/pkgconfig/speex.pc
%{_datadir}/aclocal/speex.m4


%changelog
* Fri Dec 03 2021 ns80 <ns80> 1.2.0-3.1.mga8
+ Revision: 1760601
- add upstream patch for CVE-2020-23903 (mga#29718)

* Fri Feb 14 2020 umeabot <umeabot> 1.2.0-3.mga8
+ Revision: 1517151
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-2.mga7
+ Revision: 1301138
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 1.2.0-1.mga7
+ Revision: 1221697
- Update to version 1.2.0

* Fri Mar 23 2018 wally <wally> 1.2-0.rc2.3.mga7
+ Revision: 1211456
- disable static build

* Fri Feb 12 2016 umeabot <umeabot> 1.2-0.rc2.2.mga6
+ Revision: 958910
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 gw666 <gw666> 1.2-0.rc2.1.mga6
+ Revision: 889956
- new version
- drop patch 3
- split out speexdsp

* Wed Oct 15 2014 umeabot <umeabot> 1.2-0.rc1.10.mga5
+ Revision: 746459
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-0.rc1.9.mga5
+ Revision: 689281
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-0.rc1.8.mga4
+ Revision: 518601
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2-0.rc1.7.mga3
+ Revision: 382516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.2-0.rc1.6.mga3
+ Revision: 339775
- patch3: fix build with automake 1.13

* Wed Dec 12 2012 barjac <barjac> 1.2-0.rc1.5.mga3
+ Revision: 329980
- change group to new policy
- spec clean

* Fri Jan 14 2011 mikala <mikala> 1.2-0.rc1.4.mga2
+ Revision: 16744
- Bump release
+ supp <supp>
- fix libogg dependency
- remove obsolete macros
- imported package speex


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-0.rc1.4mdv2011.0
+ Revision: 607555
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-0.rc1.3mdv2010.1
+ Revision: 521163
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2-0.rc1.2mdv2010.0
+ Revision: 427207
- rebuild

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 1.2-0.rc1.1mdv2009.1
+ Revision: 364635
- rediff patch2

* Thu Jul 24 2008 Funda Wang <fwang@mandriva.org> 1.2-0.rc1.1mdv2009.0
+ Revision: 245332
- New version 1.2 rc1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 30 2008 Götz Waschk <waschk@mandriva.org> 1.2-0.beta3.2mdv2009.0
+ Revision: 199383
- P2: security fix for CVE-2008-1686

* Tue Feb 05 2008 Götz Waschk <waschk@mandriva.org> 1.2-0.beta3.1mdv2008.1
+ Revision: 162560
- new version
- update file list
- new devel name

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 24 2007 Götz Waschk <waschk@mandriva.org> 1.2-0.beta2.1mdv2008.0
+ Revision: 30801
- new version


* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 1.2-0.beta1.1mdv2007.0
+ Revision: 104489
- Import speex

* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 1.2-0.beta1.1mdv2007.1
- new version

* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 1.1.12-3mdv2007.0
- remove rpath

* Mon Aug 21 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.12-2mdv2007.0
- Have speex build even if i586 version of libogg is installed
- Fix macro in changelog

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 1.1.12-1mdk
- New release 1.1.12
- use mkrel

* Tue Dec 06 2005 Götz Waschk <waschk@mandriva.org> 1.1.11.1-1mdk
- New release 1.1.11.1

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 1.1.11-1mdk
- disable parallel build
- New release 1.1.11

* Tue Aug 09 2005 Götz Waschk <waschk@mandriva.org> 1.1.10-2mdk
- remove mdkversion macro

* Sat Jun 25 2005 Götz Waschk <waschk@mandriva.org> 1.1.10-1mdk
- new source URL
- New release 1.1.10

* Mon Jun 13 2005 Götz Waschk <waschk@mandriva.org> 1.1.9-1mdk
- New release 1.1.9

* Fri May 20 2005 Götz Waschk <waschk@mandriva.org> 1.1.8-1mdk
- New release 1.1.8

* Thu Mar 03 2005 Götz Waschk <waschk@linux-mandrake.com> 1.1.7-1mdk
- New release 1.1.7

* Wed Jan 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.6-2mdk
- fix path to headers for pkgconfig (P1)
- add provides
- cosmetics

* Sat Jul 31 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- update file list
- reenable libtoolize
- rediff patch 0
- New release 1.1.6

* Fri Apr 23 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- make it rpmbuildupdate compatible
- New release 1.1.5

* Thu Jan 22 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.4-1mdk
- don't run libtoolize
- fix buildrequires
- use the autoconf2.5 macro
- new version

